Bug 220819 - x11-drivers/xorgxrdp: Update to 0.2.3
Summary: x11-drivers/xorgxrdp: Update to 0.2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL: https://github.com/neutrinolabs/xorgx...
Keywords: easy, patch-ready
Depends on: 220820
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 07:37 UTC by Koichiro Iwao
Modified: 2017-08-17 21:41 UTC (History)
2 users (show)

See Also:
meta: maintainer-feedback+
koobs: merge-quarterly?


Attachments
patch (1.45 KB, patch)
2017-07-18 07:37 UTC, Koichiro Iwao
meta: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2017-07-18 07:37:24 UTC
Created attachment 184464 [details]
patch

Update to 0.2.3. Poudriere build passed for me with 11.0-RELEASE amd64.

This release includes:
- Fix X programs crash when reconnecting to xrdp with screen resize
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-18 10:23:29 UTC
Should this be merged to quarterly? (crashfix/bugfix?)

Also, is this dependent on Bug 220820? If so, please add it to this issues "Depends On" field
Comment 2 Koichiro Iwao freebsd_committer 2017-07-19 00:12:24 UTC
Yes, I'd appreciate if merged to quarterly since the release should fix crashes.
Comment 3 Richard Gallamore freebsd_committer 2017-07-26 03:15:32 UTC
QA is good, waiting for depends.
Comment 4 commit-hook freebsd_committer 2017-08-11 07:26:59 UTC
A commit references this bug:

Author: ultima
Date: Fri Aug 11 07:25:58 UTC 2017
New revision: 447735
URL: https://svnweb.freebsd.org/changeset/ports/447735

Log:
  * Updated to 0.2.3

  PR:		220819
  Submitted by:	Koichiro IWAO (maintainer)
  Reviewed by:	matthew (mentor)
  Approved by:	matthew (mentor)
  MFH:		2017Q3
  Differential Revision:	https://reviews.freebsd.org/D11965

Changes:
  head/x11-drivers/xorgxrdp/Makefile
  head/x11-drivers/xorgxrdp/distinfo
Comment 5 Richard Gallamore freebsd_committer 2017-08-11 07:28:57 UTC
Committed, pending MFH authorization.
Comment 6 Richard Gallamore freebsd_committer 2017-08-17 21:41:24 UTC
I added wrong PR, but this has been merged. Thanks!

https://svnweb.freebsd.org/ports?view=revision&revision=448195